export declare class PnSwan {
    hostElement: HTMLElement;
    licenseNumber: string;
    language: string;
    linkTo: string;
    i18n: any;
    componentWillLoad(): void;
    setTranslations(): void;
    onLanguageChange(): void;
    render(): any;
}
